<?php

    $gardener_lite_theme_css= "";

    /*--------------------------- Scroll To Top Positions -------------------*/

    $gardener_lite_scroll_position = get_theme_mod( 'gardener_lite_scroll_top_position','Right');
    if($gardener_lite_scroll_position == 'Right'){
        $gardener_lite_theme_css .='#button{';
            $gardener_lite_theme_css .='right: 20px;';
        $gardener_lite_theme_css .='}';
    }else if($gardener_lite_scroll_position == 'Left'){
        $gardener_lite_theme_css .='#button{';
            $gardener_lite_theme_css .='left: 20px;right: auto;l';
        $gardener_lite_theme_css .='}';
    }else if($gardener_lite_scroll_position == 'Center'){
        $gardener_lite_theme_css .='#button{';
            $gardener_lite_theme_css .='right: auto;left: 50%; transform:translateX(-50%);';
        $gardener_lite_theme_css .='}';
    }

    /*--------------------------- Scroll To Top Border Radius -------------------*/

    $gardener_lite_scroll_to_top_border_radius = get_theme_mod('gardener_lite_scroll_to_top_border_radius');
    $gardener_lite_scroll_bg_color = get_theme_mod('gardener_lite_scroll_bg_color');
    $gardener_lite_scroll_color = get_theme_mod('gardener_lite_scroll_color');
    $gardener_lite_scroll_font_size = get_theme_mod('gardener_lite_scroll_font_size');
    if($gardener_lite_scroll_to_top_border_radius != false || $gardener_lite_scroll_bg_color != false || $gardener_lite_scroll_color != false || $gardener_lite_scroll_font_size != false){
        $gardener_lite_theme_css .='#colophon a#button{';
            $gardener_lite_theme_css .='border-radius: '.esc_attr($gardener_lite_scroll_to_top_border_radius).'px; background-color: '.esc_attr($gardener_lite_scroll_bg_color).'; color: '.esc_attr($gardener_lite_scroll_color).' !important; font-size: '.esc_attr($gardener_lite_scroll_font_size).'px;';
        $gardener_lite_theme_css .='}';
    }

    /*--------------------------- Slider Image Opacity -------------------*/
    $gardener_lite_slider_opacity_setting = get_theme_mod( 'gardener_lite_slider_opacity_setting',false);
    $gardener_lite_image_opacity_color = get_theme_mod( 'gardener_lite_image_opacity_color');
    $gardener_lite_slider_opacity = get_theme_mod( 'gardener_lite_slider_opacity');
    if( $gardener_lite_slider_opacity_setting != false) {
        $gardener_lite_theme_css .='#top-slider .slider-box img{';
            $gardener_lite_theme_css .='opacity: '. $gardener_lite_slider_opacity. ';';
        $gardener_lite_theme_css .='}';
        if( $gardener_lite_image_opacity_color != '') {
            $gardener_lite_theme_css .='#top-slider .slider-box {';
                $gardener_lite_theme_css .='background-color: '. $gardener_lite_image_opacity_color. ';';
            $gardener_lite_theme_css .='}';
        }
    } else {
        $gardener_lite_theme_css .='#top-slider .slider-box img{';
            $gardener_lite_theme_css .='opacity: 1;';
        $gardener_lite_theme_css .='}';
    }

    /*---------------------------Slider Height ------------*/

    $gardener_lite_slider_img_height = get_theme_mod('gardener_lite_slider_img_height');
    if($gardener_lite_slider_img_height != false){
        $gardener_lite_theme_css .='#top-slider .owl-carousel .owl-item img{';
            $gardener_lite_theme_css .='height: '.esc_attr($gardener_lite_slider_img_height).';';
        $gardener_lite_theme_css .='}';
    }

    /*---------------- Single post Settings ------------------*/

    $gardener_lite_single_post_navigation_show_hide = get_theme_mod('gardener_lite_single_post_navigation_show_hide',true);
    if($gardener_lite_single_post_navigation_show_hide != true){
        $gardener_lite_theme_css .='.nav-links{';
            $gardener_lite_theme_css .='display: none;';
        $gardener_lite_theme_css .='}';
    }

    /*--------------------------- Product Image Box Shadow -------------------*/

    $gardener_lite_woo_product_image_box_shadow = get_theme_mod('gardener_lite_woo_product_image_box_shadow',0);
    if($gardener_lite_woo_product_image_box_shadow != false){
        $gardener_lite_theme_css .='.woocommerce ul.products li.product a img{';
            $gardener_lite_theme_css .='box-shadow: '.esc_attr($gardener_lite_woo_product_image_box_shadow).'px '.esc_attr($gardener_lite_woo_product_image_box_shadow).'px '.esc_attr($gardener_lite_woo_product_image_box_shadow).'px #cccccc;';
        $gardener_lite_theme_css .='}';
    }

    /*--------------------------- Woocommerce Related Products -------------------*/

    $gardener_lite_woocommerce_related_product_show_hide = get_theme_mod('gardener_lite_woocommerce_related_product_show_hide',true);
    if($gardener_lite_woocommerce_related_product_show_hide != true){
        $gardener_lite_theme_css .='.related.products{';
            $gardener_lite_theme_css .='display: none;';
        $gardener_lite_theme_css .='}';
    }

    /*--------------------------- Single Post Page Image Box Shadow -------------------*/

    $gardener_lite_single_post_page_image_box_shadow = get_theme_mod('gardener_lite_single_post_page_image_box_shadow',0);
    if($gardener_lite_single_post_page_image_box_shadow != false){
        $gardener_lite_theme_css .='.single-post .entry-header img{';
            $gardener_lite_theme_css .='box-shadow: '.esc_attr($gardener_lite_single_post_page_image_box_shadow).'px '.esc_attr($gardener_lite_single_post_page_image_box_shadow).'px '.esc_attr($gardener_lite_single_post_page_image_box_shadow).'px #cccccc;';
        $gardener_lite_theme_css .='}';
    }

     /*--------------------------- Single Post Page Image Border Radius -------------------*/

    $gardener_lite_single_post_page_image_border_radius = get_theme_mod('gardener_lite_single_post_page_image_border_radius', 0);
    if($gardener_lite_single_post_page_image_border_radius != false){
        $gardener_lite_theme_css .='.single-post .entry-header img{';
            $gardener_lite_theme_css .='border-radius: '.esc_attr($gardener_lite_single_post_page_image_border_radius).'px;';
        $gardener_lite_theme_css .='}';
    }

    /*--------------------------- Footer Background Image Position -------------------*/

    $gardener_lite_footer_bg_image_position = get_theme_mod( 'gardener_lite_footer_bg_image_position','scroll');
    if($gardener_lite_footer_bg_image_position == 'fixed'){
        $gardener_lite_theme_css .='#colophon{';
            $gardener_lite_theme_css .='background-attachment: fixed !important; background-position: center !important;';
        $gardener_lite_theme_css .='}';
    }elseif ($gardener_lite_footer_bg_image_position == 'scroll'){
        $gardener_lite_theme_css .='#colophon{';
            $gardener_lite_theme_css .='background-attachment: scroll !important; background-position: center !important;';
        $gardener_lite_theme_css .='}';
    }

    /*--------------------------- Footer Widget Heading Alignment -------------------*/

    $gardener_lite_footer_widget_heading_alignment = get_theme_mod( 'gardener_lite_footer_widget_heading_alignment','Left');
    if($gardener_lite_footer_widget_heading_alignment == 'Left'){
        $gardener_lite_theme_css .='#colophon h5, h5.footer-column-widget-title{';
        $gardener_lite_theme_css .='text-align: left;';
        $gardener_lite_theme_css .='}';
    }else if($gardener_lite_footer_widget_heading_alignment == 'Center'){
        $gardener_lite_theme_css .='#colophon h5, h5.footer-column-widget-title{';
            $gardener_lite_theme_css .='text-align: center;';
        $gardener_lite_theme_css .='}';
    }else if($gardener_lite_footer_widget_heading_alignment == 'Right'){
        $gardener_lite_theme_css .='#colophon h5, h5.footer-column-widget-title{';
            $gardener_lite_theme_css .='text-align: right;';
        $gardener_lite_theme_css .='}';
    }

    /*--------------------------- Footer background image -------------------*/

    $gardener_lite_footer_bg_image = get_theme_mod('gardener_lite_footer_bg_image');
    if($gardener_lite_footer_bg_image != false){
        $gardener_lite_theme_css .='#colophon{';
            $gardener_lite_theme_css .='background: url('.esc_attr($gardener_lite_footer_bg_image).');';
        $gardener_lite_theme_css .='}';
    }

     /*--------------------------- Footer Background Color -------------------*/

    $gardener_lite_footer_background_color = get_theme_mod('gardener_lite_footer_background_color');
    if($gardener_lite_footer_background_color != false){
        $gardener_lite_theme_css .='.footer-widgets{';
            $gardener_lite_theme_css .='background-color: '.esc_attr($gardener_lite_footer_background_color).' !important;';
        $gardener_lite_theme_css .='}';
    }

    /*--------------------------- Copyright Background Color -------------------*/

    $gardener_lite_copyright_background_color = get_theme_mod('gardener_lite_copyright_background_color');
    if($gardener_lite_copyright_background_color != false){
        $gardener_lite_theme_css .='.footer_info{';
            $gardener_lite_theme_css .='background-color: '.esc_attr($gardener_lite_copyright_background_color).' !important;';
        $gardener_lite_theme_css .='}';
    }

    /*--------------------------- Post Page Image Border Radius -------------------*/

    $gardener_lite_post_page_image_border_radius = get_theme_mod('gardener_lite_post_page_image_border_radius', 0);
    if($gardener_lite_post_page_image_border_radius != false){
        $gardener_lite_theme_css .='.article-box img{';
            $gardener_lite_theme_css .='border-radius: '.esc_attr($gardener_lite_post_page_image_border_radius).'px;';
        $gardener_lite_theme_css .='}';
    }

     /*--------------------------- Post Page Image Box Shadow -------------------*/

    $gardener_lite_post_page_image_box_shadow = get_theme_mod('gardener_lite_post_page_image_box_shadow',0);
    if($gardener_lite_post_page_image_box_shadow != false){
        $gardener_lite_theme_css .='.article-box img{';
            $gardener_lite_theme_css .='box-shadow: '.esc_attr($gardener_lite_post_page_image_box_shadow).'px '.esc_attr($gardener_lite_post_page_image_box_shadow).'px '.esc_attr($gardener_lite_post_page_image_box_shadow).'px #cccccc;';
        $gardener_lite_theme_css .='}';
    }

    /*--------------------------- Site Title And Tagline Color -------------------*/

    $gardener_lite_logo_title_color = get_theme_mod('gardener_lite_logo_title_color');
    if($gardener_lite_logo_title_color != false){
        $gardener_lite_theme_css .='p.site-title a, .navbar-brand a{';
            $gardener_lite_theme_css .='color: '.esc_attr($gardener_lite_logo_title_color).' !important;';
        $gardener_lite_theme_css .='}';
    }

    $gardener_lite_logo_tagline_color = get_theme_mod('gardener_lite_logo_tagline_color');
    if($gardener_lite_logo_tagline_color != false){
        $gardener_lite_theme_css .='.logo p.site-description, .navbar-brand p{';
            $gardener_lite_theme_css .='color: '.esc_attr($gardener_lite_logo_tagline_color).'  !important;';
        $gardener_lite_theme_css .='}';
    }

    /*--------------------------- Footer Widget Content Alignment -------------------*/

    $gardener_lite_footer_widget_content_alignment = get_theme_mod( 'gardener_lite_footer_widget_content_alignment','Left');
    if($gardener_lite_footer_widget_content_alignment == 'Left'){
        $gardener_lite_theme_css .='#colophon ul, #colophon p, .tagcloud, .widget{';
        $gardener_lite_theme_css .='text-align: left;';
        $gardener_lite_theme_css .='}';
    }else if($gardener_lite_footer_widget_content_alignment == 'Center'){
        $gardener_lite_theme_css .='#colophon ul, #colophon p, .tagcloud, .widget{';
            $gardener_lite_theme_css .='text-align: center;';
        $gardener_lite_theme_css .='}';
    }else if($gardener_lite_footer_widget_content_alignment == 'Right'){
        $gardener_lite_theme_css .='#colophon ul, #colophon p, .tagcloud, .widget{';
            $gardener_lite_theme_css .='text-align: right;';
        $gardener_lite_theme_css .='}';
    }

    /*--------------------------- Copyright Content Alignment -------------------*/

    $gardener_lite_copyright_content_alignment = get_theme_mod( 'gardener_lite_copyright_content_alignment','Center');
    if($gardener_lite_copyright_content_alignment == 'Left'){
        $gardener_lite_theme_css .='.footer-menu-left{';
        $gardener_lite_theme_css .='text-align: left;';
        $gardener_lite_theme_css .='}';
    }else if($gardener_lite_copyright_content_alignment == 'Center'){
        $gardener_lite_theme_css .='.footer-menu-left{';
            $gardener_lite_theme_css .='text-align: center;';
        $gardener_lite_theme_css .='}';
    }else if($gardener_lite_copyright_content_alignment == 'Right'){
        $gardener_lite_theme_css .='.footer-menu-left{';
            $gardener_lite_theme_css .='text-align: right;';
        $gardener_lite_theme_css .='}';
    }

    /*-------------------- Global First Color -------------------*/

    $gardener_lite_theme_color = get_theme_mod('gardener_lite_theme_color');
    $gardener_lite_theme_color_2 = get_theme_mod('gardener_lite_theme_color_2');

    if ($gardener_lite_theme_color) {
        $gardener_lite_theme_css .= ':root {';
        $gardener_lite_theme_css .= '--first-color: ' . esc_attr($gardener_lite_theme_color) . ' !important;';
        $gardener_lite_theme_css .= '} ';
    }


    if ($gardener_lite_theme_color_2) {
        $gardener_lite_theme_css .= ':root {';
        $gardener_lite_theme_css .= '--second-color: ' . esc_attr($gardener_lite_theme_color_2) . ' !important;';
        $gardener_lite_theme_css .= '} ';
    }

    /*-------------------- Heading typography -------------------*/

    $gardener_lite_heading_color = get_theme_mod('gardener_lite_heading_color');
    $gardener_lite_heading_font_family = get_theme_mod('gardener_lite_heading_font_family');
    $gardener_lite_heading_font_size = get_theme_mod('gardener_lite_heading_font_size');
    if($gardener_lite_heading_color != false || $gardener_lite_heading_font_family != false || $gardener_lite_heading_font_size != false){
        $gardener_lite_theme_css .='h1, h2, h3, h4, h5, h6, .navbar-brand h1.site-title, h2.entry-title, h1.entry-title, h2.page-title, #latest_post h2, h2.woocommerce-loop-product__title, .slider-inner-box h1 a, #latest_post h2, #new-products h3, .product-box h4 a, .article-box h3.entry-title, .featured h4.main-heading, .ser-content h4 a, #colophon h5, .sidebar h5{';
            $gardener_lite_theme_css .='color: '.esc_attr($gardener_lite_heading_color).'!important; 
            font-family: '.esc_attr($gardener_lite_heading_font_family).'!important;
            font-size: '.esc_attr($gardener_lite_heading_font_size).'px !important;';
        $gardener_lite_theme_css .='}';
    }

    $gardener_lite_paragraph_color = get_theme_mod('gardener_lite_paragraph_color');
    $gardener_lite_paragraph_font_family = get_theme_mod('gardener_lite_paragraph_font_family');
    $gardener_lite_paragraph_font_size = get_theme_mod('gardener_lite_paragraph_font_size');
    if($gardener_lite_paragraph_color != false || $gardener_lite_paragraph_font_family != false || $gardener_lite_paragraph_font_size != false){
        $gardener_lite_theme_css .='p, p.site-title, span, .article-box p, ul, li{';
            $gardener_lite_theme_css .='color: '.esc_attr($gardener_lite_paragraph_color).'!important; 
            font-family: '.esc_attr($gardener_lite_paragraph_font_family).'!important;
            font-size: '.esc_attr($gardener_lite_paragraph_font_size).'px !important;';
        $gardener_lite_theme_css .='}';
    }

    /*------------------ Nav Menus -------------------*/

    $gardener_lite_nav_menu = get_theme_mod( 'gardener_lite_nav_menu_text_transform','Capitalize');
    if($gardener_lite_nav_menu == 'Capitalize'){
        $gardener_lite_theme_css .='.main-navigation .menu > li > a{';
            $gardener_lite_theme_css .='text-transform:Capitalize;';
        $gardener_lite_theme_css .='}';
    }
    if($gardener_lite_nav_menu == 'Lowercase'){
        $gardener_lite_theme_css .='.main-navigation .menu > li > a{';
            $gardener_lite_theme_css .='text-transform:Lowercase;';
        $gardener_lite_theme_css .='}';
    }
    if($gardener_lite_nav_menu == 'Uppercase'){
        $gardener_lite_theme_css .='.main-navigation .menu > li > a{';
            $gardener_lite_theme_css .='text-transform:Uppercase;';
        $gardener_lite_theme_css .='}';
    }

    $gardener_lite_menu_font_size = get_theme_mod( 'gardener_lite_menu_font_size');
    if($gardener_lite_menu_font_size != ''){
        $gardener_lite_theme_css .='.main-navigation .menu > li > a{';
            $gardener_lite_theme_css .='font-size: '.esc_attr($gardener_lite_menu_font_size).'px;';
        $gardener_lite_theme_css .='}';
    }

    $gardener_lite_nav_menu_font_weight = get_theme_mod( 'gardener_lite_nav_menu_font_weight',600);
    if($gardener_lite_menu_font_size != ''){
        $gardener_lite_theme_css .='.main-navigation .menu > li > a{';
            $gardener_lite_theme_css .='font-weight: '.esc_attr($gardener_lite_nav_menu_font_weight).';';
        $gardener_lite_theme_css .='}';
    }

    /*------------------ Slider CSS -------------------*/

    $gardener_lite_slider_content_layout = get_theme_mod( 'gardener_lite_slider_content_layout','Left');
    if($gardener_lite_slider_content_layout == 'Left'){
        $gardener_lite_theme_css .='.slider-inner-box, #top-slider .slider-inner-box p{';
            $gardener_lite_theme_css .='text-align : left;';
        $gardener_lite_theme_css .='}';
    }
    if($gardener_lite_slider_content_layout == 'Center'){
        $gardener_lite_theme_css .='.slider-inner-box, #top-slider .slider-inner-box p{';
            $gardener_lite_theme_css .='text-align : center;';
        $gardener_lite_theme_css .='}';
    }
    if($gardener_lite_slider_content_layout == 'Right'){
        $gardener_lite_theme_css .='.slider-inner-box, #top-slider .slider-inner-box p{';
            $gardener_lite_theme_css .='text-align : right;';
        $gardener_lite_theme_css .='}';
    }